org.eclipse.oomph.setup

## Interface SetupTaskContainer

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Subinterfaces:
    CompoundTask, Installation, Product, ProductCatalog, ProductVersion, Project, ProjectCatalog, ProjectContainer, Scope, Stream, User, Workspace
  All Known Implementing Classes:
    CompoundTaskImpl, InstallationImpl, ProductCatalogImpl, ProductImpl, ProductVersionImpl, ProjectCatalogImpl, ProjectImpl, ScopeImpl, SetupTaskContainerImpl, StreamImpl, UserImpl, WorkspaceImpl

      public interface SetupTaskContainer
      extends ModelElement

  A representation of the model object 'Task Container'.

  The following features are supported:

  - `Setup Tasks`
  See Also:
    `SetupPackage.getSetupTaskContainer()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<SetupTask>` | `getSetupTasks()` Returns the value of the 'Setup Tasks' containment reference list.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSetupTasks

          EList<SetupTask> getSetupTasks()

      Returns the value of the 'Setup Tasks' containment reference list. The list contents are of type `SetupTask`.

      If the meaning of the 'Setup Tasks' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Setup Tasks' containment reference list.
      See Also:
        `SetupPackage.getSetupTaskContainer_SetupTasks()`
      Generated
      Model
        containment="true" resolveProxies="true" extendedMetaData="name='setupTask'"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html